summaryrefslogtreecommitdiff
path: root/hocrtotxtdir.sh
diff options
context:
space:
mode:
Diffstat (limited to 'hocrtotxtdir.sh')
-rw-r--r--hocrtotxtdir.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/hocrtotxtdir.sh b/hocrtotxtdir.sh
new file mode 100644
index 0000000..20c45a5
--- /dev/null
+++ b/hocrtotxtdir.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+usage="usage: $0 dirname"
+test $# -ne 1 && echo "$usage" && exit 1
+
+for i in "$1"/*hocr; do b=`basename "$i" .hocr`; d=`dirname "$i"`; ~/rescribe/2018-natphil/src/go/bin/hocrtotxt "$i" > "$d/$b.txt"; done